const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    v4_c = __asm_movupd(*((esi_global_2d_to_2d_local - 112)));
    v4_11 = __asm_movsd(*((esi_global_2d_to_2d_local - 120))) # bp+11;
    v5_16 = __asm_mulpd(v4_c, *((edi - 48))) # bp+16;
    v5_1b = __asm_mulsd(v4_11, *((edi - 48)));
    xmm2_global_2d_to_2d_local = __asm_addpd(v5_16, *((edi - 64))) # xmm2;
    v5_25 = __asm_addsd(v5_1b, *((edi - 72))) # bp+25;
    if *((edi - 84)) != 0:;
        v4_30 = __asm_movsd(esi_global_2d_to_2d_local[112]) # bp+30;
        v5_35 = __asm_mulsd(v4_30, *((edi - 48))) # bp+35;
        __asm_movupd_1(*((esi_global_2d_to_2d_local - 112)), xmm2_global_2d_to_2d_local);
        *((esi_global_2d_to_2d_local - 120)) = __asm_movsd_2(v5_25);
        esi_global_2d_to_2d_local[112] = __asm_movsd_2(v5_35);
        v0_59 = edi;
    else:;
        v0_59 = edi;
    v3_4c = *((v0_59 - 88));
    if v3_4c != 0:;
        if v3_4c == 1:;
            v0_6a = xmm2_global_2d_to_2d_local;
            v1_6a = __asm_movsd_2(v0_6a);
            xmm2_global_2d_to_2d_local = __asm_movsd_3(v0_6a, v5_25);
            v3_8c = v1_6a;
        else:;
            v6_5f = xmm2_global_2d_to_2d_local;
            __asm_movhpd(tmp255, v6_5f);
            xmm2_global_2d_to_2d_local = __asm_unpcklpd(v6_5f, v5_25);
            v3_8c = tmp255;
    else:;
        # 0x52;
        v3_8c = __asm_movsd_2(v5_25);
    v1_74 = (*((v0_59 - 92)) + 15) % 16 # bp+74;
    z.x_global_2d_to_2d_local = v1_74 # z.x;
    st7_global_2d_to_2d_local = 3.141592653589793116 # st7;
    if v1_74 > 1:;
        # 0x7e;
        z.x_global_2d_to_2d_local = v1_74;
        st7_global_2d_to_2d_local = 2 * 3.141592653589793116 / (v1_74 + 1);
    fpu_stat_TOP_global_2d_to_2d_local -= 2;
    st6_global_2d_to_2d_local = v3_8c * *((edi - 16)) # st6;
    xmm0_global_2d_to_2d_local = __asm_movsd(edi) # xmm0;
    while True:;
        v0_96 = fpu_stat_TOP_global_2d_to_2d_local # bp+96;
        v1_96 = st6_global_2d_to_2d_local # bp+96;
        if fabsl(v1_96) < 9223372036854775808.0:;
            # bb;
            v7_98 = cosl(v1_96);
            v0_9d = v0_96 - 2;
        else:;
            # 0x96;
            v0_9d = v0_96 - 1;
            v7_98 = v7_9a;
        # bb261;
        v7_9a = v7_98 * *((edi - 32));
        fpu_stat_TOP_global_2d_to_2d_local = v0_9d + 2;
        st6_global_2d_to_2d_local += st7_global_2d_to_2d_local;
        v7_ad = __asm_subpd(__asm_movapd(xmm2_global_2d_to_2d_local), v7_9a);
        v2_b2 = __asm_mulpd(v7_ad, v7_ad);
        v2_bb = __asm_addsd_4(v2_b2, __asm_pshufd(v2_b2, 78));
        v2_c3 = __asm_minsd(xmm0_global_2d_to_2d_local, __asm_sqrtsd(v2_bb));
        xmm0_global_2d_to_2d_local = v2_c3;
        v1_c7 = z.x_global_2d_to_2d_local - 1;
        z.x_global_2d_to_2d_local = v1_c7;
        if v1_c7 < 0:;
            # break -> 0xcc;
            break;
    v5_cc = __asm_subsd(v2_c3, *((edi - 80)));
    if *((edi - 84)) == 0:;
        # 0xd9;
        v0_de = __asm_divsd(v5_cc, *((edi - 48)));
    else:;
        v0_de = v5_cc;
    # 0xde;
    *((esi_global_2d_to_2d_local - 32)) = __asm_movsd_2(v0_de);
    return z.x_global_2d_to_2d_local;


	}